Sync update | Ford Explorer - Ford Ranger Forums - Serious Explorations

  • Register Today It's free! This box and some ads will disappear once registered!

Sync update

Daddycreswell

New Member
Joined
September 28, 2014
Messages
5
Reaction score
0
Year, Model & Trim Level
Explorer
Just bought the wife a 2012 Limited last week. She is loving the car, she has been in a van since 08. Anyway I add the explorer to myford sync this morning and I was checking to make sure the sync was up to date, it shows it was last updated in 2011, I see there was an update in Mar of this year but it don't give me an option to update the current software. Any help would be great, thanks
 
<

Join the Elite Explorers $20 Gets rid of the ads!

Elite Explorer members see no advertisements, no banner ads, no double underlined links, can add their own profile photo, upload photo attachments in all forums, and Media Gallery, create and save more private conversations, and more. Join Today. Your support is greatly appreciated.




jmr061

Explorer Addict
Joined
August 24, 2014
Messages
2,001
Reaction score
182
City, State
Wisconsin
Year, Model & Trim Level
16 Exp Sport
If syncmyride.com shows an update available for your vehicle then install it. If it says your current then leave it as is. I can also see what OASIS reports for your vehicle as well if you provide me the VIN.
 
<



Daddycreswell

New Member
Joined
September 28, 2014
Messages
5
Reaction score
0
Year, Model & Trim Level
Explorer
If syncmyride.com shows an update available for your vehicle then install it. If it says your current then leave it as is. I can also see what OASIS reports for your vehicle as well if you provide me the VIN.

Ok, thanks. I just figured that it would have to be update every so often. One other question, do the maps update on its on? New streets etc...
 
<



jmr061

Explorer Addict
Joined
August 24, 2014
Messages
2,001
Reaction score
182
City, State
Wisconsin
Year, Model & Trim Level
16 Exp Sport
Ok, thanks. I just figured that it would have to be update every so often. One other question, do the maps update on its on? New streets etc...

No you have to purchase a new NAV card for that. The current Ver Card is A5. If you have one, pop out the SD card and the ver will be printed on it. I believe you must be at MFT version 3.6.2 to use the A5.
 
<



FordIVTteam

Official Ford Rep
Joined
July 13, 2011
Messages
1,690
Reaction score
1
City, State
Dearborn, MI
Year, Model & Trim Level
Ford Explorer
Just bought the wife a 2012 Limited last week. She is loving the car, she has been in a van since 08. Anyway I add the explorer to myford sync this morning and I was checking to make sure the sync was up to date, it shows it was last updated in 2011, I see there was an update in Mar of this year but it don't give me an option to update the current software. Any help would be great, thanks

Congrats on your new-to-your wife's Explorer and welcome to the forum, Daddycreswell!

If it hasn't had an update since 2011, your SYNC account may not reflect there's an update available for your Explorer due to being so behind. The latest version for your vehicle is 3.6.2. If you log into your account at www.Support.Ford.com, it should say "Gen2 - 3.6.2" about halfway down the blue bar on the right of the screen. I can also verify which version you're on; just private message me your VIN.

As far as map updates, you can purchase them via your dealership, or our map provider, HERE, at www.navigation.com (Note: HERE will not have them on their site for a few more days).

If you have any questions, don't hesitate to contact me. That's what I'm here for! :)

Rebecca
 
<



jmr061

Explorer Addict
Joined
August 24, 2014
Messages
2,001
Reaction score
182
City, State
Wisconsin
Year, Model & Trim Level
16 Exp Sport
Rebecca is it correct that 3.6.2 or higher is required to utilize the A5 nav card?
 
<



peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
32,458
Reaction score
2,653
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
I had 3.6.2 and have recently updated to 3.7 and my nav card is A4. You don't need an A5 card for 3.6.2. In fact I believe A3 will still work with it as well. A5 is really just an updated 'maps' card that seems to be in the new vehicles coming out now.

Peter
 
<



jmr061

Explorer Addict
Joined
August 24, 2014
Messages
2,001
Reaction score
182
City, State
Wisconsin
Year, Model & Trim Level
16 Exp Sport
I had 3.6.2 and have recently updated to 3.7 and my nav card is A4. You don't need an A5 card for 3.6.2. In fact I believe A3 will still work with it as well. A5 is really just an updated 'maps' card that seems to be in the new vehicles coming out now.

Peter

That's the reverse of what I asked lol. You are correct though in that newer versions of MFT do not require you to upgrade your NAV card.
 
<



<



Bernardrb7

New Member
Joined
April 16, 2014
Messages
1
Reaction score
0
City, State
Syracuse, Utah
Year, Model & Trim Level
2012 ford explorer xlt
v3.7 sync update

So where is this new update located at. I even tried calling the sync helpdesk and they were no help. I have version 3.6 and they say I have the latest version. They said 3.7 is coming but couldnt tell me when and also what does this new version do
 
<



peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
32,458
Reaction score
2,653
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
Welcome to the Forum Bernardbr7.:wavey:

V3.7 is for the 2014 and 2015 models. All others are up to date with V3.6.2.

The update info apparently is;
•Map content for Europe and Australia/New Zealand regions
•Mute button for SYNC Navigation prompts added to Navigation map screen
•Estimated "Time of Arrival," instead of "Time to Destination" now shown on map screen

The V3.7 version was temporarily removed for downloading due to issues with the ability to 'unzip' it. In some cases it involved having to download a 7-zip program.

Peter
 
<



Top